Skip to main content
GET
https://api.folkyn.com
/
api
/
v1
/
freelancers
List team freelancers
curl --request GET \
  --url https://api.folkyn.com/api/v1/freelancers \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "<string>",
        "referent": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "first_name": "<string>",
          "last_name": "<string>",
          "email": "<string>"
        },
        "status": "staffed",
        "tags": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>"
          }
        ],
        "kyc_complete": true,
        "master_agreement_active": true,
        "created_at": "2023-11-07T05:31:56Z",
        "first_name": "<string>",
        "last_name": "<string>",
        "job_title": "<string>",
        "referent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "total": 123,
    "current_page": 123,
    "per_page": 123
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <your_api_key>

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:10
Required range: 1 <= x <= 100
status
string

Comma-separated staffed, unstaffed, pending, archived, or all.

Example:

"staffed,unstaffed"

tag_ids
string

Comma-separated tag UUIDs (OR — match any).

kyc_complete
enum<string>
Available options:
true,
false
master_agreement_active
enum<string>
Available options:
true,
false

Response

Success

data
object